package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.SpecialApply;

/**
 * 特别申请Service接口
 * 
 * @author zewei
 * @date 2022-03-26
 */
public interface ISpecialApplyService 
{
    /**
     * 查询特别申请
     * 
     * @param specialApplyId 特别申请主键
     * @return 特别申请
     */
    public SpecialApply selectSpecialApplyBySpecialApplyId(String specialApplyId);

    /**
     * 查询特别申请列表
     * 
     * @param specialApply 特别申请
     * @return 特别申请集合
     */
    public List<SpecialApply> selectSpecialApplyList(SpecialApply specialApply);

    SpecialApply selectOneSpecialApply(SpecialApply specialApply);

    /**
     * 新增特别申请
     * 
     * @param specialApply 特别申请
     * @return 结果
     */
    public int insertSpecialApply(SpecialApply specialApply);

    /**
     * 修改特别申请
     * 
     * @param specialApply 特别申请
     * @return 结果
     */
    public int updateSpecialApply(SpecialApply specialApply);

    /**
     * 批量删除特别申请
     * 
     * @param specialApplyIds 需要删除的特别申请主键集合
     * @return 结果
     */
    public int deleteSpecialApplyBySpecialApplyIds(String[] specialApplyIds);

    /**
     * 删除特别申请信息
     * 
     * @param specialApplyId 特别申请主键
     * @return 结果
     */
    public int deleteSpecialApplyBySpecialApplyId(String specialApplyId);
}
